function animatePlayer(player, frames, framerate, dt)

	for i,p in ipairs(player) do

		if p.vel > 0 then

			p.animTime = p.animTime + 1*dt

			if p.animTime > 1/framerate then

				if p.anim < frames then

					p.anim = p.anim + 1
					--print(p.anim, p.animTime, frames, framerate) Troubleshoot

				else

					p.anim = 1
					--print(p.anim, p.animTime, frames, framerate) --||--

				end

				p.animTime = 0

			end

		else
			p.anim = 2 -- Still picture of player
		end

	end

end

return animatePlayer
