function lay(p, map, bomb, dt)

	if p.bmb < p.mxbmb then

		for i,tile in ipairs(map) do

			if col(p.x,p.y,p.w,p.h,tile.x,tile.y,map.ts,map.ts) then

				local found = false

				local b = {
									x = tile.x,
									y = tile.y,
									w = map.ts,
									h = map.ts,
									angle = 0,
									fresh = true,
									exploded = false,
									str = p.str,
									t = 0,
									mode = 1,
									g = 1,
									at = 1,
									anim = 1,
									animtime = 1/3,
									dt = dt
								}

				for j, bmb in ipairs(bomb) do

					if col(bmb.x,bmb.y,bmb.w,bmb.h,tile.x,tile.y,map.ts,map.ts) then

						found = true

					end

				end

				if not found then -- Add bomb on tile coordinates

					table.insert(bomb, b)
					p.bmb = p.bmb + 1
					break

				end

			end

		end

	end

end

return lay
